/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
****************************************************/
#ifndef __EPD1IN54_H
#define __EPD1IN54_H

#include "DEV_Config.h"
#include "SPI_RAM.h"

// Display resolution
#define EPD_WIDTH       152
#define EPD_HEIGHT      152


#define PANEL_SETTING                               0x00
#define POWER_SETTING                               0x01
#define POWER_OFF                                   0x02
#define POWER_OFF_SEQUENCE_SETTING                  0x03
#define POWER_ON                                    0x04
#define POWER_ON_MEASURE                            0x05
#define BOOSTER_SOFT_START                          0x06
#define DEEP_SLEEP                                  0x07
#define DATA_START_TRANSMISSION_1                   0x10
#define DATA_STOP                                   0x11
#define DISPLAY_REFRESH                             0x12
#define DATA_START_TRANSMISSION_2                   0x13
#define PLL_CONTROL                                 0x30
#define TEMPERATURE_SENSOR_COMMAND                  0x40
#define TEMPERATURE_SENSOR_CALIBRATION              0x41
#define TEMPERATURE_SENSOR_WRITE                    0x42
#define TEMPERATURE_SENSOR_READ                     0x43
#define VCOM_AND_DATA_INTERVAL_SETTING              0x50
#define LOW_POWER_DETECTION                         0x51
#define TCON_SETTING                                0x60
#define TCON_RESOLUTION                             0x61
#define SOURCE_AND_GATE_START_SETTING               0x62
#define GET_STATUS                                  0x71
#define AUTO_MEASURE_VCOM                           0x80
#define VCOM_VALUE                                  0x81
#define VCM_DC_SETTING_REGISTER                     0x82
#define PROGRAM_MODE                                0xA0
#define ACTIVE_PROGRAM                              0xA1
#define READ_OTP_DATA                               0xA2

extern DEV *Dev;

class EPD1IN54B
{
    void EPD_Reset(void);
    void EPD_SendData(UBYTE Data);
    void EPD_SetLutBw(void);
    void EPD_SetLutRed(void);

public:
    void EPD_SendCommand(UBYTE Reg);
    void EPD_WaitUntilIdle(void);
    UBYTE EPD_Init(void);
    void EPD_Clear(void);
    void EPD_Display(void);
    void EPD_Sleep(void);
};


#endif 

/* END OF FILE */
